<?php
/**
 * PeachPay Advanced Logging module.
 *
 * Registers the Advanced Logging settings section.
 *
 * @package PeachPay
 */

if ( ! defined( 'PEACHPAY_ABSPATH' ) ) {
	exit;
}

require_once PEACHPAY_ABSPATH . 'core/admin/class-peachpay-admin-section.php';
require_once PEACHPAY_ABSPATH . 'core/modules/advanced-logging/class-peachpay-advanced-logging-settings.php';
require_once PEACHPAY_ABSPATH . 'core/modules/advanced-logging/class-peachpay-log-download.php';

/**
 * Initializes the PeachPay Advanced Logging settings.
 */
class PeachPay_Advanced_Logging {

	/**
	 * Initializes the module.
	 */
	public static function init() {
		PeachPay_Log_Download::init();

		PeachPay_Admin_Section::create(
			'logging',
			array(
				new PeachPay_Advanced_Logging_Settings(),
			),
			array(),
			false
		);
	}
}

PeachPay_Advanced_Logging::init();
